/*++

Copyright (c) 2009
Lysann Kessler, Stephanie Platz, Thomas Klingbeil, Philipp Tessenow, Frank Schlegel;
Michael Haupt, Michael Perscheid, Robert Hirschfeld;
Software Architecture Group, Hasso-Plattner-Institut, University of Potsdam, Germany

This software is published under MIT license.
It uses phidget library by Phidgets Inc. (http://phidgets.com).
See ../../../../license.pdf for more information.

--*/

#ifndef _PHIDGETCOMPONENT_H_
#define _PHIDGETCOMPONENT_H_

#include "PhidgetPlugin.h"

// methods
int phidgetComponent_GetIndexedIntegerChangeTrigger(PhidgetId id, int iIndex);
BOOL phidgetComponent_SetIndexedIntegerChangeTrigger(PhidgetId id, int iIndex, int iSensitivity);
double phidgetComponent_GetIndexedDoubleChangeTrigger(PhidgetId id, int iIndex);
BOOL phidgetComponent_SetIndexedDoubleChangeTrigger(PhidgetId id, int iIndex, double dSensitivity);


#endif // _PHIDGETCOMPONENT_H_
