/*++

Copyright (c) 2009
Lysann Kessler, Stephanie Platz, Thomas Klingbeil, Philipp Tessenow, Frank Schlegel;
Michael Haupt, Michael Perscheid, Robert Hirschfeld;
Software Architecture Group, Hasso-Plattner-Institut, University of Potsdam, Germany

This software is published under MIT license.
It uses phidget library by Phidgets Inc. (http://phidgets.com).
See ../../../../license.pdf for more information.

--*/

#ifndef _PHIDGETCOMPONENT_DIGITALOUTPUT_H_
#define _PHIDGETCOMPONENT_DIGITALOUTPUT_H_

#include "PhidgetPlugin.h"

// methods
int phidgetCompDigitalOutput_GetCount(PhidgetId id);
BOOL phidgetCompDigitalOutput_GetValue(PhidgetId id, int iIndex);
BOOL phidgetCompDigitalOutput_SetValue(PhidgetId id, int iIndex, int iValue);
BOOL phidgetCompDigitalOutput_SetSemaphoreIndex_StateChange(PhidgetId id, int iSemaphoreIndex);

#endif // _PHIDGETCOMPONENT_DIGITALOUTPUT_H_
