/*++

Copyright (c) 2009
Lysann Kessler, Stephanie Platz, Thomas Klingbeil, Philipp Tessenow, Frank Schlegel;
Michael Haupt, Michael Perscheid, Robert Hirschfeld;
Software Architecture Group, Hasso-Plattner-Institut, University of Potsdam, Germany

This software is published under MIT license.
It uses phidget library by Phidgets Inc. (http://phidgets.com).
See ../../../../license.pdf for more information.

--*/

#ifndef _PHIDGETCOMPONENT_TEXTLCD_H_
#define _PHIDGETCOMPONENT_TEXTLCD_H_

#include "PhidgetPlugin.h"

// methods
BOOL phidgetCompTextLCD_IsBacklightOn(PhidgetId id);
BOOL phidgetCompTextLCD_SetBacklightOn(PhidgetId id, int iState);
BOOL phidgetCompTextLCD_IsCursorOn(PhidgetId id);
BOOL phidgetCompTextLCD_SetCursorOn(PhidgetId id, int iState);
BOOL phidgetCompTextLCD_IsCursorBlinking(PhidgetId id);
BOOL phidgetCompTextLCD_SetCursorBlinking(PhidgetId id, int iState);
int phidgetCompTextLCD_GetContrast(PhidgetId id);
BOOL phidgetCompTextLCD_SetContrast(PhidgetId id, int iContrast);
BOOL phidgetCompTextLCD_SetCustomChar(PhidgetId id, int iIndex, int iUpper, int iLower);

#endif // _PHIDGETCOMPONENT_TEXTLCD_H_
